Name:       perl-HTML-FormFu-Model-DBIC 
Version:    0.03007 
Release:    1%{?dist}
# lib/HTML/FormFu/Model/DBIC.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Integrate HTML::FormFu with DBIx::Class 
Source:     http://search.cpan.org/CPAN/authors/id/C/CF/CFRANKS/HTML-FormFu-Model-DBIC-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/HTML-FormFu-Model-DBIC
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.08002
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(HTML::FormFu) >= 0.03007
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)

# "use base"
Requires:      perl(HTML::FormFu::Model)
Requires:      perl(DBIx::Class)

%description
Integrate your HTML::FormFu forms with a DBIx::Class model.


%prep
%setup -q -n HTML-FormFu-Model-DBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03007-1
- touch up for submission

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03007-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

